Last Comment Bug 548211 - Port Bug 526613 [Need a notification representing the end of nsISessionStore.setBrowserState operation] to SeaMonkey
: Port Bug 526613 [Need a notification representing the end of nsISessionStore....
Status: RESOLVED FIXED
:
Product: SeaMonkey
Classification: Client Software
Component: Session Restore (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a1
Assigned To: Misak Khachatryan
:
Mentors:
Depends on: 526613 633724
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-23 23:42 PST by Misak Khachatryan
Modified: 2011-02-12 04:33 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
patch plus test v1 (7.73 KB, patch)
2010-02-24 00:06 PST, Misak Khachatryan
neil: review+
neil: superreview+
Details | Diff | Splinter Review
same as above, renamed test files as agreed (7.76 KB, patch)
2010-03-12 00:44 PST, Misak Khachatryan
misak.bugzilla: review+
misak.bugzilla: superreview+
Details | Diff | Splinter Review

Description Misak Khachatryan 2010-02-23 23:42:36 PST
From parent bug:

I was under the impression that sessionstore-windows-restored is the
notification used for this purpose, but as it turns out, that notification is
only sent during the initial restoring of the windows and tabs the first time
that the browser is starting up, and because many users (both in-tree and
possibly extensions as well) rely on it to detect the browser startup, we need
a new topic, which I'm going to tentatively name
sessionstore-browser-state-set.
Comment 1 Misak Khachatryan 2010-02-24 00:06:17 PST
Created attachment 428654 [details] [diff] [review]
patch plus test v1
Comment 2 Serge Gautherie (:sgautherie) 2010-03-04 05:13:16 PST
See bug 542946 comment 5 wrt the test name...
Comment 3 Misak Khachatryan 2010-03-12 00:44:29 PST
Created attachment 432097 [details] [diff] [review]
same as above, renamed test files as agreed

same as above, renamed test files as agreed, carrying forward r+ sr+ from Neil, got approval for renaming on meeting over IRC.
Comment 4 Robert Kaiser 2010-03-12 08:10:32 PST
Pushed as http://hg.mozilla.org/comm-central/rev/2c611970cf52 - thanks for your work!

Note You need to log in before you can comment on or make changes to this bug.